summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-07-13 22:46:45 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-07-13 22:50:01 +0200
commitea01d07c76b705e48d8d3a4600856746ce596e95 (patch)
tree11abb713ee2d1cf09ef62389e18dd03cbac691e0 /kde-apps/kdenlive
parentdev-java/hawtjni-runtime: keyword ~arm64 (diff)
downloadgentoo-ea01d07c76b705e48d8d3a4600856746ce596e95.tar.gz
gentoo-ea01d07c76b705e48d8d3a4600856746ce596e95.tar.bz2
gentoo-ea01d07c76b705e48d8d3a4600856746ce596e95.zip
kde-apps: Add KDE Applications 17.04.3
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'kde-apps/kdenlive')
-rw-r--r--kde-apps/kdenlive/Manifest1
-rw-r--r--kde-apps/kdenlive/kdenlive-17.04.3.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/kde-apps/kdenlive/Manifest b/kde-apps/kdenlive/Manifest
index 57de659f867e..dabcec29743c 100644
--- a/kde-apps/kdenlive/Manifest
+++ b/kde-apps/kdenlive/Manifest
@@ -1,2 +1,3 @@
DIST kdenlive-16.12.3.tar.xz 6623112 SHA256 a04d5a957bedc31834379122e597ba55e1474246376d661c535979007a76eafc SHA512 cb30948b999fb2c95d64e97f12f96cec460bf12bc5f5b9b8bc850ccc58bd34fcd709a2ea94c5373e04fc1e4fd82a48e58f5872c268f771ba6f83c47fadabd553 WHIRLPOOL de92f61d298190576d085579841af6569040b2bae2368eb2c545a59489ec1d4f48ecf2f7c4fa1352563e38a27f875943dcd455ec979ff05a0d35c83b4bf767f3
DIST kdenlive-17.04.2.tar.xz 9370932 SHA256 29ce6a4b3b86e20b8eac5332a22067dc8fbde297d6bc144f722bcbb64856fccb SHA512 0bb511fdd13f31d941eb5cc1f757bfac9cf7e0cab23ae617593e218a0ffd347dd68d6edc035f9d7b9b522234e3e29eab77714dc90b395802f05addfe65b2a48e WHIRLPOOL 07aeee0675243603d7d3df565a4a1f0fe58273c00ec358b3305d9d3c5bb55e5da49184e96e105def6888a48059c3463a23007d8926ee1e5e6f1264ad1d01b9b7
+DIST kdenlive-17.04.3.tar.xz 9371152 SHA256 85ec8ee9b110a6d16b5ba82b5218894bd99c0a10d49c3126057c8298af089dd8 SHA512 dfbe90e06394b36722a1f4e6986709bfffee926e3c18300140fad73af8b656bf2a3ea119a59554cb71d1b11ddfdf81e5ab407248ba8d8d7409e8923f1630379d WHIRLPOOL 169dd795d4f52e697489bf97fd9e17fc3665865491a5f39a62826d3602ced1b0566491a43c1ffd007af824695155d58122fdde1d20bcf16d4499e0060b9e8a4f
diff --git a/kde-apps/kdenlive/kdenlive-17.04.3.ebuild b/kde-apps/kdenlive/kdenlive-17.04.3.ebuild
new file mode 100644
index 000000000000..555d04f610ce
--- /dev/null
+++ b/kde-apps/kdenlive/kdenlive-17.04.3.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="optional"
+inherit kde5
+
+DESCRIPTION="Non-linear video editing suite by KDE"
+HOMEPAGE="https://www.kdenlive.org/"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="freesound gles2 jogshuttle semantic-desktop v4l"
+
+RDEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kbookmarks)
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep kjobwidgets)
+ $(add_frameworks_dep knewstuff)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep knotifyconfig)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_frameworks_dep solid)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui 'gles2=')
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtquickcontrols)
+ $(add_qt_dep qtscript)
+ $(add_qt_dep qtsvg)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ >=media-libs/mlt-6.4.0[ffmpeg,kdenlive,melt,qt5,sdl,xml]
+ virtual/ffmpeg[encode,sdl,X]
+ virtual/opengl
+ freesound? ( $(add_qt_dep qtwebkit) )
+ semantic-desktop? ( $(add_frameworks_dep kfilemetadata) )
+ v4l? ( media-libs/libv4l )
+"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package freesound Qt5WebKitWidgets)
+ -DWITH_JogShuttle=$(usex jogshuttle)
+ $(cmake-utils_use_find_package semantic-desktop KF5FileMetaData)
+ $(cmake-utils_use_find_package v4l LibV4L2)
+ )
+
+ kde5_src_configure
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ # Gentoo bug 603168
+ if ! has_version "media-libs/mlt[fftw]" ; then
+ elog "For 'Crop and Transform/Rotate and Shear' effect, please build media-libs/mlt with USE=fftw enabled."
+ fi
+}